#include <string>
#include <vector>
#include <LineStyle.h>

using namespace std;


#ifndef _StylePallet
#define _StylePallet


class StylePallet 
{
private:
	vector <LineStyle *> lineStyle_;

public:
	StylePallet();

	LineStyle * lineStyle(string);
	LineStyle * lineStyle(int);

	void type(int);
	void width(float);

};

#endif
